InfrastructureAdvisorAutoProxyCreator (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.aop.framework.autoproxy

## Class InfrastructureAdvisorAutoProxyCreator

- java.lang.Object
- - org.springframework.aop.framework.ProxyConfig
  - - org.springframework.aop.framework.autoproxy.AbstractAutoProxyCreator
    - - org.springframework.aop.framework.autoproxy.AbstractAdvisorAutoProxyCreator
      - - org.springframework.aop.framework.autoproxy.InfrastructureAdvisorAutoProxyCreator

- All Implemented Interfaces:
    Serializable, AopInfrastructureBean, Aware, BeanClassLoaderAware, BeanFactoryAware, BeanPostProcessor, InstantiationAwareBeanPostProcessor, SmartInstantiationAwareBeanPostProcessor, Ordered

      public class InfrastructureAdvisorAutoProxyCreator
      extends AbstractAdvisorAutoProxyCreator

  Auto-proxy creator that considers infrastructure Advisor beans only, ignoring any application-defined Advisors.
  Since:
    2.0.7
  Author:
    Juergen Hoeller
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.springframework.aop.framework.autoproxy.AbstractAutoProxyCreator

      `DO_NOT_PROXY, logger, PROXY_WITHOUT_ADDITIONAL_INTERCEPTORS`

    - ### Fields inherited from interface org.springframework.core.Ordered

      `HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InfrastructureAdvisorAutoProxyCreator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `initBeanFactory(ConfigurableListableBeanFactory beanFactory)`
    `protected boolean` | `isEligibleAdvisorBean(String beanName)` Return whether the Advisor bean with the given name is eligible for proxying in the first place.

    - ### Methods inherited from class org.springframework.aop.framework.autoproxy.AbstractAdvisorAutoProxyCreator

      `advisorsPreFiltered, extendAdvisors, findAdvisorsThatCanApply, findCandidateAdvisors, findEligibleAdvisors, getAdvicesAndAdvisorsForBean, setBeanFactory, sortAdvisors`

    - ### Methods inherited from class org.springframework.aop.framework.autoproxy.AbstractAutoProxyCreator

      `buildAdvisors, createProxy, customizeProxyFactory, determineCandidateConstructors, getBeanFactory, getCacheKey, getCustomTargetSource, getEarlyBeanReference, getOrder, isFrozen, isInfrastructureClass, postProcessAfterInitialization, postProcessAfterInstantiation, postProcessBeforeInitialization, postProcessBeforeInstantiation, postProcessPropertyValues, predictBeanType, setAdvisorAdapterRegistry, setApplyCommonInterceptorsFirst, setBeanClassLoader, setCustomTargetSourceCreators, setFrozen, setInterceptorNames, setOrder, setProxyClassLoader, shouldProxyTargetClass, shouldSkip, wrapIfNecessary`

    - ### Methods inherited from class org.springframework.aop.framework.ProxyConfig

      `copyFrom, isExposeProxy, isOpaque, isOptimize, isProxyTargetClass, setExposeProxy, setOpaque, setOptimize, setProxyTargetClass, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InfrastructureAdvisorAutoProxyCreator

          public InfrastructureAdvisorAutoProxyCreator()

  - ### Method Detail

    - #### initBeanFactory

          protected void initBeanFactory(ConfigurableListableBeanFactory beanFactory)

      Overrides:
        `initBeanFactory` in class `AbstractAdvisorAutoProxyCreator`

    - #### isEligibleAdvisorBean

          protected boolean isEligibleAdvisorBean(String beanName)

      Description copied from class: `AbstractAdvisorAutoProxyCreator`
      Return whether the Advisor bean with the given name is eligible for proxying in the first place.
      Overrides:
        `isEligibleAdvisorBean` in class `AbstractAdvisorAutoProxyCreator`
      Parameters:
        `beanName` - the name of the Advisor bean
      Returns:
        whether the bean is eligible